@echo off
cls

echo                       Richard Burns Rally
echo                     Liatti-Alessandrini V3.1
echo                         Burns-Reid V2.1
echo                   by Alessandro Ziozeus Lucato
echo.
echo.
echo.


start/wait BatchQry /Type=YES_NO /Message="Verra' installato il mod 'Liatti-Alessandrini V3.1', e' consigliabile uscire e fare backup del file audio.dat prima di procedere!!!" /Caption="Attenzione!"
if ERRORLEVEL 2 Goto interrotto

if not exist ..\audio.dat goto noaudiodat

rem ********
rem ******** Scompatto audio.dat
rem ********
echo. Attendere per favore
attrib -r ..\audio.dat
dattool -e ..\audio.dat audio -s

rem ********
rem ******** installazione voce Alessandrini
rem ********
xcopy /v/e/s/Y note\*.* audio\C#\Projects\Rally_7\TargetMedia_Develop\Pc\Debug\World\Audio\ >NUL

rem ********
rem ******** installazione Reid
rem ********
start/wait BatchQry /Type=YES_NO /Message="Volete installare anche la 'Robert Reid v2.1' per il copilota inglese ?" /Caption="Attenzione, modifico audio.dat !"
if ERRORLEVEL 2 Goto NoReid
xcopy /v/e/s/Y reid\*.* audio\C#\Projects\Rally_7\TargetMedia_Develop\Pc\Debug\World\Audio\ >NUL

:NoReid
rem ********
rem ******** installazione bang allo scarico
rem ********
start/wait BatchQry /Type=YES_NO /Message="Volete installare i miei suoni per gli scoppi allo scarico ?" /Caption="Attenzione, modifico audio.dat !"
if ERRORLEVEL 2 Goto NoBang
xcopy /v/e/s/Y bang\*.* audio\C#\Projects\Rally_7\TargetMedia_Develop\Pc\Debug\World\Audio\ >NUL

:NoBang
rem ********
rem ******** installazione volumi corretti
rem ********
start/wait BatchQry /Type=YES_NO /Message="ATTENZIONE!!! se avete ESATTAMENTE il problema di non sentire per niente il motore e di sentire altissimi cambio/trasmissione/tergicristalli cliccate si altrimenti no!!!" /Caption="Attenzione, modifico audio.dat !"
if ERRORLEVEL 2 Goto novolume
xcopy /v/e/s/Y volume\*.* audio\C#\Projects\Rally_7\TargetMedia_Develop\Pc\Debug\World\Audio\ >NUL

:novolume
rem ********
rem ******** Ricompatto audio.dat
rem ********
echo. Ancora qualche secondo
dattool -c audio ..\audio.dat -s
rmdir /s /q audio >NUL

if not exist ..\Audio\Sound.ini goto passoallenote

:noaudiodat
if not exist ..\Audio\Sound.ini goto errore

rem ********
rem ******** Audio.dat gia scompattato
rem ********

rem ********
rem ******** installazione voce Alessandrini
rem ********
xcopy /v/e/s/Y note\*.* ..\Audio\ >NUL

rem ********
rem ******** installazione reid
rem ********
start/wait BatchQry /Type=YES_NO /Message="Volete installare anche la 'Robert Reid v2.1' per il copilota inglese ?" /Caption="Attenzione, modifico cartella audio!"
if ERRORLEVEL 2 Goto noReid2
xcopy /v/e/s/Y reid\*.* ..\Audio\ >NUL

:noReid2
rem ********
rem ******** installazione bang allo scarico
rem ********
start/wait BatchQry /Type=YES_NO /Message="Volete installare i miei suoni per gli scoppi allo scarico ?" /Caption="Attenzione, modifico cartella audio!"
if ERRORLEVEL 2 Goto NoBang2
xcopy /v/e/s/Y bang\*.* ..\Audio\ >NUL

:NoBang2
rem ********
rem ******** installazione volumi corretti
rem ********
start/wait BatchQry /Type=YES_NO /Message="ATTENZIONE!!! se avete ESATTAMENTE il problema di non sentire per niente il motore e di sentire altissimi cambio/trasmissione/tergicristalli cliccate si altrimenti no!!!" /Caption="Attenzione, modifico audio.dat !"
if ERRORLEVEL 2 Goto novolume2
xcopy /v/e/s/Y volume\*.* ..\Audio\ >NUL

:novolume2

:passoallenote
rem ********
rem ******** Installazione note modificate
rem ********
start/wait BatchQry /Type=YES_NO /Message="Volete installare le note corrette e con le aggiunte delle chiamate 'piu' e 'meno' ? (consigliato!)" /Caption="Attenzione"
if ERRORLEVEL 2 Goto NoNote
if exist ..\maps\LAbackup\*dls goto nocreadir
md ..\maps\LAbackup >NUL

:nocreadir
attrib -r ..\maps\*.dls >NUL
xcopy /v/Y ..\maps\*.dls ..\maps\LAbackup >NUL
xcopy /v/Y maps\*.dls ..\maps\ >NUL

:NoNote
rem ********
rem ******** Installazione Lingua italiana
rem ********
start/wait BatchQry /Type=YES_NO /Message="Se non hai ancora attivato la lingua italiana puoi farlo ora, verra' sostituito il file misc.rbz con quello del gioco originale italiano. ATTENTO! Potresti dover reinstallare altri mod precedenti!!!" /Caption="Attenzione"
if ERRORLEVEL 2 Goto NoMisc
attrib -r ..\misc.rbz >NUL
xcopy /v/Y misc.rbz ..\ >NUL

:NoMisc
start/wait BatchQry /TYPE=OK /Message="Installazione terminata, buon divertimento, ci si vede su rbr-online :)" /Caption="Avviso"
goto fine

:errore
start/wait BatchQry /TYPE=OK /Message="ATTENZIONE MANCA IL FILE ..\audio.dat o la cartella ..\audio" /Caption="ERRORE! consultare il file readme.txt per le istruzioni"

:interrotto
echo Installazione interrotta.

:fine
